/********************************************************************
* Copyright Richard Jones June 2002
This file is part of the rspell library.

    The rspell library is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Foobar; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*********************************************************************/
#ifndef __UTILITIES_H
#define __UTILITIES_H

#ifdef _cplusplus
extern ("C")
{
#endif

#define TABLE_SIZE 65536

/*Used as return values for functions*/
#define FAIL 0
#define OK 1

/*for passing to error functions*/
#define ZERO 0

/*functions available*/
size_t get_file_size(char *);
int fill_array(char *, char**);
void show_info(char *, char *);
void show_error(char *, int);

#if _cplusplus
}
#endif

#endif
